"""empty message

Revision ID: f7ac1ac9b0a9
Revises: b088e7533b7d
Create Date: 2024-07-08 15:57:06.628168

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f7ac1ac9b0a9'
down_revision = 'b088e7533b7d'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('attempt', sa.Column('grade_teacher_id', sa.Integer(), nullable=True))
    op.create_foreign_key(op.f('fk_attempt_grade_teacher_id_user'), 'attempt', 'user', ['grade_teacher_id'], ['id'])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(op.f('fk_attempt_grade_teacher_id_user'), 'attempt', type_='foreignkey')
    op.drop_column('attempt', 'grade_teacher_id')
    # ### end Alembic commands ###
